FreeMat

- Main Page
- Related Pages

vtkVolumeCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkVolumeCollection represents and provides methods to manipulate a list of volumes (i.e., vtkVolume and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkVolumeCollection, simply invoke its constructor as follows

      obj = vtkVolumeCollection

# Methods

The class vtkVolumeCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVolumeCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVolumeCollection = obj.NewInstance ()`
- `vtkVolumeCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkVolume a)` - Get the next Volume in the list. Return NULL when at the end of the list.
- `vtkVolume = obj.GetNextVolume ()` - Get the next Volume in the list. Return NULL when at the end of the list.
- `vtkVolume = obj.GetNextItem ()` - Access routine provided for compatibility with previous versions of VTK. Please use the GetNextVolume() variant where possible.